Index: explicacion_situacional/templates/caracterizacion.politica.html
===================================================================
--- explicacion_situacional/templates/caracterizacion.politica.html	(revision 39b8a44eb34902082deaea92b56ddbc649ecab1b)
+++ explicacion_situacional/templates/caracterizacion.politica.html	(revision 8837872c4e6d19e0a1dea5c6119f3905fdefc31a)
@@ -9,5 +9,4 @@
   <link rel="stylesheet" type="text/css" href="{% static "DataTables/extensions/Select/css/select.dataTables.min.css" %}">
   <link rel="stylesheet" type="text/css" href="{% static "DataTables/extensions/Responsive/css/responsive.dataTables.min.css" %}">
-  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
 {% endblock extracss %}
 {% block extrajs %}
@@ -17,63 +16,6 @@
   <script type="text/javascript" language="javascript" src="{% static "DataTables/extensions/Buttons/js/buttons.jqueryui.js" %}"></script>
   <script type="text/javascript" language="javascript" src="{% static "DataTables/extensions/Buttons/js/buttons.html5.min.js" %}"></script>
-
-<script type="text/javascript">
-  function abrir_modal(url)
-  {
-    $('#popup').load(url, function()
-    {
-      $(this).modal('show');
-    });
-    return false;
-  }
-
-  function cerrar_modal()
-  {
-    $('#popup').modal('hide');
-    return false;
-  }
-
-
-  $(function() {
-    var table = $('#tabla-participacion').DataTable({
-      "columnDefs": [
-        { width: '20%', targets: 2 },
-      ],
-      initComplete: function () {
-            this.api().columns([2]).every( function () {
-                var column = this;
-                var select = $('#select_filter')
-                    .on( 'change', function () {
-                        var val = $.fn.dataTable.util.escapeRegex(
-                            $(this).val()
-                        );
- 
-                        column
-                            .search( val ? '^'+val+'$' : '', true, false )
-                            .draw();
-                    } );
- 
-                column.data().unique().sort().each( function ( d, j ) {
-                    select.append( '<option value="'+d+'">'+d+'</option>' )
-                } );
-            } );
-        },
-      "language": {
-        url: "//cdn.datatables.net/plug-ins/1.10.16/i18n/Spanish.json"
-      },
-      "lengthMenu": [ [10, 50, 100, -1], [10, 50, 100, "Todo"] ],
-      
-      
-      "scrollX": true,
-      "fixedColumns": true ,
-      "dom": 'lfrtBSip',
-      "buttons": ['copy', 'csv', 'print']
-    });
-  });
-
-</script>
+  <script src="{% static "js/funciones.js" %}"></script>
 {% endblock extrajs %}
-
-
 {% block contenido_principal %}
     <div class="col-xs-12">
@@ -90,8 +32,7 @@
                   <thead>
                       <tr>
-                          <th>Pregunta</th>
-                          <th>Respuesta</th>
-                          <th>Consulta</th>
-                          <th>Accion</th>
+                          <th class="politica0">Pregunta</th>
+                          <th class="politica1">Respuesta</th>
+                          <th class="politica2">Consulta</th>
                       </tr>
                   </thead>
@@ -101,7 +42,6 @@
                           <tr>
                               <td>{{ respuesta.pregunta }}</td>
-                              <td>Si</td>  
-                              <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td>                        
-                              <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>
+                              <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">Si</td>  
+                              <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td>
                           </tr>
                         {% else %}
@@ -110,9 +50,8 @@
                             {% for justificacion in abierta  %}
                               {% if justificacion.es_justificacion and justificacion.pregunta.pk == respuesta.pregunta.pk %}
-                                <td>No,{{justificacion.texto_respuesta}} </td>  
+                                <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">No,{{justificacion.texto_respuesta}} </td>  
                               {% endif %}
                             {% endfor %}
                             <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td>
-                            <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')" ><i class="glyphicon glyphicon-edit"></i></a></td>
                           </tr>
                         {% endif %} 
@@ -123,7 +62,6 @@
                       <tr>
                           <td>{{ respuesta.opcion.pregunta }}</td>
-                          <td>{{ respuesta.opcion }}</td>
-                          <td>{{ respuesta.opcion.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td> 
-                          <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.opcion.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>  
+                          <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.opcion.pregunta.tipo_pregunta.pk respuesta.pk %}')">{{ respuesta.opcion }}</td>
+                          <td>{{ respuesta.opcion.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td>  
                       </tr>
                       {% endfor %}
@@ -133,7 +71,6 @@
                           <tr>
                             <td>{{ respuesta.pregunta }}</td>
-                            <td>{{ respuesta.texto_respuesta }}</td>
+                            <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">{{ respuesta.texto_respuesta }}</td>
                             <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:"InformaciÃ³n sobre la " | cut:"informaciÃ³n sobre las " | cut:"InformaciÃ³n sobre " | title}}</td> 
-                          <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>
                           </tr>     
                           {% endif %}
@@ -144,6 +81,5 @@
                           <td>{{ respuesta.pregunta }}</td>
                           <td>{{ respuesta.coordenadas }}</td>
-                          <td>{{ respuesta.pregunta.consulta.nombre_consulta }}</td> 
-                          <td><a class="btn" href="#"><i class="icon"></i></a></td>         
+                          <td>{{ respuesta.pregunta.consulta.nombre_consulta }}</td>        
                       </tr>
                       {% endfor %}
Index: explicacion_situacional/templates/caracterizacion.social.html
===================================================================
--- explicacion_situacional/templates/caracterizacion.social.html	(revision c7b7e3b90dea5983a50fbfbeaa8b538cb15b3808)
+++ explicacion_situacional/templates/caracterizacion.social.html	(revision 8837872c4e6d19e0a1dea5c6119f3905fdefc31a)
@@ -8,5 +8,4 @@
   <link rel="stylesheet" type="text/css" href="{% static "DataTables/extensions/Select/css/select.dataTables.min.css" %}">
   <link rel="stylesheet" type="text/css" href="{% static "DataTables/extensions/Responsive/css/responsive.dataTables.min.css" %}">
-  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
 {% endblock extracss %}
 {% block extrajs %}
@@ -16,63 +15,5 @@
   <script type="text/javascript" language="javascript" src="{% static "DataTables/extensions/Buttons/js/buttons.jqueryui.js" %}"></script>
   <script type="text/javascript" language="javascript" src="{% static "DataTables/extensions/Buttons/js/buttons.html5.min.js" %}"></script>
- 
-  
-
-<script type="text/javascript">
-  function abrir_modal(url)
-  {
-    $('#popup').load(url, function()
-    {
-      $(this).modal('show');
-    });
-    return false;
-  }
-
-  function cerrar_modal()
-  {
-    $('#popup').modal('hide');
-    return false;
-  }
-
-
-  $(function() {
-    var table = $('#tabla-participacion').DataTable({
-      "columnDefs": [
-        { width: '50%', targets: 0 },
-        { width: '35%', targets: 1 },
-      ],
-      initComplete: function () {
-            this.api().columns([2]).every( function () {
-                var column = this;
-                var select = $('#select_filter')
-                    .on( 'change', function () {
-                        var val = $.fn.dataTable.util.escapeRegex(
-                            $(this).val()
-                        );
- 
-                        column
-                            .search( val ? '^'+val+'$' : '', true, false )
-                            .draw();
-                    } );
- 
-                column.data().unique().sort().each( function ( d, j ) {
-                    select.append( '<option value="'+d+'">'+d+'</option>' )
-                } );
-            } );
-        },
-      "language": {
-        url: "//cdn.datatables.net/plug-ins/1.10.16/i18n/Spanish.json"
-      },
-      "lengthMenu": [ [10, 50, 100, -1], [10, 50, 100, "Todo"] ],
-      
-      
-      "scrollX": true,
-      "fixedColumns": true ,
-      "dom": 'lfrtBSip',
-      "buttons": ['copy', 'csv', 'print']
-    });
-  });
-
-</script>
+  <script src="{% static 'js/funciones.js' %}"></script>
 {% endblock extrajs %}
 {% block contenido_principal %}
@@ -90,8 +31,7 @@
                   <thead>
                       <tr>
-                          <th>Pregunta</th>
-                          <th>Respuesta</th>
-                          <th>Consulta</th>
-                          <th>Accion</th>
+                          <th class="social0">Pregunta</th>
+                          <th class="social1">Respuesta</th>
+                          <th class="social2">Consulta</th>
                       </tr>
                   </thead>
@@ -101,7 +41,6 @@
                           <tr>
                               <td>{{ respuesta.pregunta }}</td>
-                              <td>Si</td>  
+                              <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">Si</td>  
                               <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:" de mi comunidad" | cut:"Calidad del servicio de " | cut:"Calidad de servicios de " | cut:"Calidad de servicios " | cut:"Calidad de los servicios asociados a " | cut:"en " | cut:"relacionados a " | title}}</td>                        
-                              <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>
                           </tr>
                         {% else %}
@@ -110,33 +49,26 @@
                             {% for justificacion in abierta  %}
                               {% if justificacion.es_justificacion and justificacion.pregunta.pk == respuesta.pregunta.pk %}
-                                <td>No,{{justificacion.texto_respuesta}} </td>  
+                                <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">No,{{justificacion.texto_respuesta}} </td>  
                               {% endif %}
                             {% endfor %}
                             <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:" de mi comunidad" | cut:"Calidad del servicio de " | cut:"Calidad de servicios de " | cut:"Calidad de servicios " | cut:"Calidad de los servicios asociados a " | cut:"en " | cut:"relacionados a " | title}}</td>
-                            <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')" ><i class="glyphicon glyphicon-edit"></i></a></td>
                           </tr>
                         {% endif %} 
-                          
                       {% endfor %}
-
                       {% for respuesta in opciones %}
                       <tr>
                           <td>{{ respuesta.opcion.pregunta }}</td>
-                          <td>{{ respuesta.opcion }}</td>
+                          <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.opcion.pregunta.tipo_pregunta.pk respuesta.pk %}')">{{ respuesta.opcion }}</td>
                           <td>{{ respuesta.opcion.pregunta.consulta.nombre_consulta | cut:" de mi comunidad" | cut:"Calidad del servicio de " | cut:"Calidad de servicios de " | cut:"Calidad de servicios " | cut:"Calidad de los servicios asociados a " | cut:"en " | cut:"relacionados a " | title}}</td> 
-                          <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.opcion.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>  
                       </tr>
                       {% endfor %}
                       {% for respuesta in abierta %}
-                      
                           {% if not respuesta.es_justificacion %}
                           <tr>
                             <td>{{ respuesta.pregunta }}</td>
-                            <td>{{ respuesta.texto_respuesta }}</td>
+                            <td onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')">{{ respuesta.texto_respuesta }}</td>
                             <td>{{ respuesta.pregunta.consulta.nombre_consulta | cut:" de mi comunidad" | cut:"Calidad del servicio de " | cut:"Calidad de servicios de " | cut:"Calidad de servicios " | cut:"Calidad de los servicios asociados a " | cut:"en " | cut:"relacionados a " | title}}</td> 
-                          <td><a class="btn" onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta_' respuesta.pregunta.tipo_pregunta.pk respuesta.pk %}')"><i class="glyphicon glyphicon-edit"></i></a></td>
                           </tr>     
-                          {% endif %}
-                      
+                          {% endif %} 
                       {% endfor %}
                       {% for respuesta in ubicacion %}
@@ -148,6 +80,5 @@
                       </tr>
                       {% endfor %}
-                  </tbody>
-                 
+                  </tbody> 
               </table>
             {% endif %}
@@ -160,5 +91,4 @@
                     <div class="inner">
                       <h3 title="titulo-estado-agua">Estado del Servicio de Agua </h3>
-
                       <p align="justify">En este sub-mÃ³dulo podrÃ¡ registrar, consultar y modificar la situaciÃ³n de aguas blancas y aguas negras. </p>
                     </div>
@@ -178,5 +108,4 @@
                     <div class="inner">
                       <h3 title="titulo-estado-electricidad">Estado del Servicio de Electricidad y Gas </h3>
-
                       <p align="justify">En este sub-mÃ³dulo podrÃ¡ registrar, consultar y modificar la situaciÃ³n de la electricidad y el gas. </p>
                     </div>
@@ -196,5 +125,4 @@
                     <div class="inner">
                       <h3 title="titulo-estado-infraestructura">Estado de la Infraestructura Vial </h3>
-
                       <p align="justify">En este sub-mÃ³dulo podrÃ¡ registrar, consultar y modificar la situaciÃ³n de la vialidad. </p>
                     </div>
@@ -214,5 +142,4 @@
                     <div class="inner">
                       <h3 title="titulo-estado-saneamiento">Estado de los Servicios Ambientales </h3>
-
                       <p align="justify">En este sub-mÃ³dulo podrÃ¡ registrar, consultar y modificar la situaciÃ³n ambiental. </p>
                     </div>
@@ -232,5 +159,4 @@
                     <div class="inner">
                       <h3 title="titulo-estado-salud">Estado de los Servicios de Salud </h3>
-
                       <p align="justify">En este sub-mÃ³dulo podrÃ¡ registrar, consultar y modificar las situaciones de salud social. </p>
                     </div>
Index: explicacion_situacional/templates/modificar.respuesta.html
===================================================================
--- explicacion_situacional/templates/modificar.respuesta.html	(revision c7b7e3b90dea5983a50fbfbeaa8b538cb15b3808)
+++ explicacion_situacional/templates/modificar.respuesta.html	(revision 8837872c4e6d19e0a1dea5c6119f3905fdefc31a)
@@ -1,2 +1,13 @@
+{% block extracss %}
+{% load staticfiles %}
+<link type="text/css" rel="stylesheet" href="{% static 'jquery-entropizer-master/dist/css/jquery-entropizer.min.css' %}" />
+<link href="{% static 'bootstrap-3/css/bootstrap-toggle.min.css'%}" rel="stylesheet">
+{% endblock extracss %}
+{% block extrajs %}
+<script src="{% static 'bootstrap-3/js/bootstrap-toggle.min.js'%}"></script>
+<script type="text/javascript" src="{% static 'jquery-entropizer-master/lib/entropizer.js' %}"></script>
+<script type="text/javascript" src="{% static 'jquery-entropizer-master/dist/js/jquery-entropizer.min.js' %}"></script>
+<script type="text/javascript" src="{% static 'users/user_register.js' %}"></script>
+{% endblock extrajs %}
 <div class="modal-dialog modal-lg">
   <div class="modal-content">
@@ -14,5 +25,4 @@
         <div class="panel panel-default">
           <div class="panel-body" style="text-align: center;">
-
             <div class="row"><label>Respuesta</label></div>
             {{ formulario.respuesta}}
@@ -24,5 +34,4 @@
               {{ formulario.justificacion }}
               </div>
-              
             </div> 
             {% endif %}
@@ -41,6 +50,4 @@
   </div>
 </div>
-
-
 <script type="text/javascript">
   $(function(){
@@ -61,6 +68,5 @@
       }
      });
-  });    
-
+  });
 function validacion() {
   var select = document.getElementById('id_respuesta');
Index: static/js/funciones.js
===================================================================
--- static/js/funciones.js	(revision c609db6b1052903d46883cfe63b1d5620794ef6a)
+++ static/js/funciones.js	(revision 8837872c4e6d19e0a1dea5c6119f3905fdefc31a)
@@ -127,2 +127,74 @@
     }
 }
+
+/**
+ * FunciÃ³n para abrir el modal de moficicar las respuestas
+**/
+
+function abrir_modal(url)
+  {
+    $('#popup').load(url, function()
+    {
+      $(this).modal('show');
+    });
+    return false;
+  }
+
+  /**
+ * FunciÃ³n para cerrar el modal de moficicar las respuestas
+**/
+
+  function cerrar_modal()
+  {
+    $('#popup').modal('hide');
+    return false;
+  }
+
+  /**
+ * FunciÃ³n que crea la tabla DataTable con las respuestas a las encuestas
+ *
+**/
+   $(document).ready(function() {
+    var table = $('#tabla-participacion').DataTable({
+      "columnDefs": [
+        { width: '40%', targets: 'social0' },
+        { width: '50%', targets: 'social1' },
+        { width: '20%', targets: 'politica2' },
+      ],
+      initComplete: function () {
+            this.api().columns([2]).every( function () {
+                var column = this;
+                var select = $('#select_filter')
+                    .on( 'change', function () {
+                        var val = $.fn.dataTable.util.escapeRegex(
+                            $(this).val()
+                        );
+ 
+                        column
+                            .search( val ? '^'+val+'$' : '', true, false )
+                            .draw();
+                    } );
+ 
+                column.data().unique().sort().each( function ( d, j ) {
+                    select.append( '<option value="'+d+'">'+d+'</option>' )
+                } );
+            } );
+        },
+      "language": {
+        url: "/static/DataTables/media/js/Spanish.json"
+      },
+      "lengthMenu": [ [10, 50, 100, -1], [10, 50, 100, "Todo"] ],
+      
+      
+      "scrollX": true,
+      "fixedColumns": true ,
+      "dom": 'lfrtBSip',
+      "buttons": ['copy', 'csv', 'print']
+    });
+  });
+
+
+
+  
+
+