Index: consulta/forms.py
===================================================================
--- consulta/forms.py	(revision 59f3e60c385bd9383e94da1c25edce607fccb772)
+++ consulta/forms.py	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -17,5 +17,5 @@
 from base.functions import (
     cargar_tipo_pregunta, cargar_entidad, cargar_municipios,
-    cargar_parroquias, cargar_preguntas
+    cargar_parroquias, cargar_preguntas, cargar_universidades
     )
 from base.constant import (
@@ -116,4 +116,5 @@
         self.fields['parroquia'].choices = cargar_parroquias()
         self.fields['tipo_pregunta'].choices = cargar_preguntas(3)
+        self.fields['universidad'].choices = cargar_universidades()
     
     ## Tipo de pregunta para generar el reporte
@@ -157,6 +158,12 @@
     ## sector estudiante
     sector_estudiante = forms.ChoiceField(
-        widget=forms.Select(attrs={'class': 'form-control input-md',}),
+        widget=forms.Select(attrs={'class': 'form-control input-md','onchange':'mostrar_universidad(this.value)'}),
         label="Sector Estudiante",choices=(('','Seleccione...'),)+SECTOR_ESTUDIANTE,
         required = False
         )
+    
+    ## Universidad
+    universidad = forms.ChoiceField(
+        widget=forms.Select(attrs={'class': 'form-control input-md',}),
+        label="InstituciÃ³n",required = False
+        )
Index: consulta/templates/consulta.pdf.template.html
===================================================================
--- consulta/templates/consulta.pdf.template.html	(revision 59f3e60c385bd9383e94da1c25edce607fccb772)
+++ consulta/templates/consulta.pdf.template.html	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -54,8 +54,14 @@
             {% endif %}
             {% if sector_estudiante >= 0 %}
-                {% include 'consulta.base.table.pdf.html' with title_1='Sector' title_2='Participantes' texto=sector_trabajador_texto valor=sector_trabajador caption='ParticipaciÃ³n por sector trabajador' %}
+                {% include 'consulta.base.table.pdf.html' with title_1='Sector' title_2='Participantes' texto=sector_estudiante_texto valor=sector_estudiante caption='ParticipaciÃ³n por sector estudiante' %}
+            {% endif %}
+            {% if universidad >= 0 %}
+                {% include 'consulta.base.table.pdf.html' with title_1='Universidades' title_2='Participantes' texto=universidad_texto valor=universidad caption='ParticipaciÃ³n por universidades' %}
             {% endif %}
             {% if sectores %}
-                {% include 'consulta.base.multi.table.pdf.html' with title_1='UbicaciÃ³n' title_2='Participantes' texto=sector_trabajador_texto valor=sector_trabajador data=sectores caption='ParticipaciÃ³n por todos los sectores' %}
+                {% include 'consulta.base.multi.table.pdf.html' with title_1='UbicaciÃ³n' title_2='Participantes' data=sectores caption='ParticipaciÃ³n por todos los sectores' %}
+            {% endif %}
+            {% if universidades %}
+                {% include 'consulta.base.multi.table.pdf.html' with title_1='Universidad' title_2='Participantes' data=universidades caption='ParticipaciÃ³n por todas las universidades' %}
             {% endif %}
             <p class="text-center"><b>Respuestas totales emitidas por Usuario: </b>{{respuestas}}</p>
Index: consulta/templates/consulta.report.html
===================================================================
--- consulta/templates/consulta.report.html	(revision 8edb1df6eb6c587050382e353c3b991aa80fc3a4)
+++ consulta/templates/consulta.report.html	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -101,4 +101,15 @@
                         </div>
                     </div>
+                    <div class="col-md-6" id="universidades" style="display: none;">
+                        <div class="form-group {% if form.universidad.errors %}has-error{% endif %}">
+                            <label class="col-md-3 col-xs-3 col-sm-3 control-label" for="{{ form.sector_estudiante.auto_id }}">
+                                {{ form.universidad.label }}
+                            </label>
+                            <div class="col-md-8 col-xs-8 col-sm-8">
+                                {{ form.universidad }}
+                                {% include 'base.forms.errors.html' with form_errors=form.universidad.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
+                            </div>
+                        </div>
+                    </div>
                 </div>
                  <div class="col-md-12 col-sm-12 col-xs-12">
Index: consulta/views.py
===================================================================
--- consulta/views.py	(revision b7d24ade9917bf87ee19d736bdf5b43009c480bc)
+++ consulta/views.py	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -30,5 +30,5 @@
 from .forms import ConsultaForm, ConsultaPreguntaForm, ConsultaSearchForm
 from participacion.models import RespuestaSino, RespuestaOpciones, RespuestaAbierta
-from users.models import Perfil
+from users.models import Perfil, Universidades
 from base.constant import OBJETIVOS, SECTORES, SECTOR_ESTUDIANTE, SECTOR_TRABAJADOR
 from base.models import Entidad, Municipio, Parroquia
@@ -375,7 +375,8 @@
         sector_trabajador = self.request.POST.get('sector_trabajador','')
         sector_estudiante = self.request.POST.get('sector_estudiante','')
-        url = '%s?objetivo=%s&estado=%s&municipio=%s&parroquia=%s&sector=%s&sector_trabajador=%s&sector_estudiante=%s' % (reverse_lazy('consulta_pdf',
+        universidad = self.request.POST.get('universidad','')
+        url = '%s?objetivo=%s&estado=%s&municipio=%s&parroquia=%s&sector=%s&sector_trabajador=%s&sector_estudiante=%s&universidad=%s' % (reverse_lazy('consulta_pdf',
             kwargs={'pk': self.kwargs['pk'],'tipo_pregunta': tipo_pregunta}),
-            objetivo,estado,municipio,parroquia,sector,sector_trabajador,sector_estudiante)
+            objetivo,estado,municipio,parroquia,sector,sector_trabajador,sector_estudiante,universidad)
         return url
     
@@ -426,4 +427,5 @@
         sector_trabajador = self.request.GET['sector_trabajador']
         sector_estudiante = self.request.GET['sector_estudiante']
+        universidad = self.request.GET['universidad']
         resp = 0
         est, mun, parr = 0, 0, 0
@@ -490,4 +492,16 @@
             kwargs['sector_estudiante'] = sec.count()
             kwargs['sector_estudiante_texto'] = SE[sector_estudiante]
+            #universidades
+            if(universidad!=''):
+                uni = Universidades.objects.get(pk=universidad)
+                sec = sec.filter(universidad_id=universidad)
+                kwargs['universidad'] = sec.count()
+                kwargs['universidad_texto'] = uni.nombre
+            else:
+                datos = []
+                for uni in Universidades.objects.all():
+                    data = Perfil.objects.filter(universidad_id=uni.id,user_id__in=resp.values_list('user_id',flat=True)).count()
+                    datos.append([uni.nombre,data])
+                kwargs['universidades'] = datos
         else:
             sec = Perfil.objects.filter(sector=sector,user_id__in=resp.values_list('user_id',flat=True))
Index: users/forms.py
===================================================================
--- users/forms.py	(revision ade132c585a1eff6234a027ac830c0864d19b36b)
+++ users/forms.py	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -201,4 +201,5 @@
         )
     
+    ## Universidad
     universidad = forms.ChoiceField(
         widget=forms.Select(attrs={'class': 'form-control input-md',}),
@@ -373,4 +374,5 @@
         self.fields['municipio'].choices = cargar_municipios()
         self.fields['parroquia'].choices = cargar_parroquias()
+        self.fields['universidad'].choices = cargar_universidades()
         
         if 'participacion' in self.data and self.data['participacion']=='CO':
@@ -409,4 +411,10 @@
         label="Sector Estudiante",choices=(('','Seleccione...'),)+SECTOR_ESTUDIANTE,
         required = False
+        )
+    
+    ## Universidad
+    universidad = forms.ChoiceField(
+        widget=forms.Select(attrs={'class': 'form-control input-md',}),
+        label="InstituciÃ³n",required = False
         )
     
Index: users/models.py
===================================================================
--- users/models.py	(revision ade132c585a1eff6234a027ac830c0864d19b36b)
+++ users/models.py	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -33,5 +33,5 @@
     
     ## Tipo de instituciÃ³n
-    tipo = models.CharField(max_length=4,choices=TIPO_INSTITUCION)
+    tipo = models.CharField(max_length=3,choices=TIPO_INSTITUCION)
 
 class Perfil(models.Model):
Index: users/templates/perfil.update.html
===================================================================
--- users/templates/perfil.update.html	(revision a401f702ac95301460dd5c9330b1132977f1fdc2)
+++ users/templates/perfil.update.html	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -96,4 +96,16 @@
                 </div>
               </div>
+              
+                <div class="col-md-6" id="universidades" style="display: none;">
+                    <div class="form-group {% if form.universidad.errors %}has-error{% endif %}">
+                        <label class="col-md-3 col-xs-3 col-sm-3 control-label" for="{{ form.sector_estudiante.auto_id }}">
+                            {{ form.universidad.label }}
+                        </label>
+                        <div class="col-md-8 col-xs-8 col-sm-8">
+                            {{ form.universidad }}
+                            {% include 'base.forms.errors.html' with form_errors=form.universidad.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
+                        </div>
+                    </div>
+                </div>
               <br><br><br>
               
@@ -136,4 +148,5 @@
     mostrar_sector($('#id_sector').val());
     habilitar_colectivo($('#id_participacion').val());
+    mostrar_universidad($('#id_sector_estudiante').val());
   });
 </script>
Index: users/views.py
===================================================================
--- users/views.py	(revision 66ac3fc8b6729f1213d6c3192d250508d714dfbb)
+++ users/views.py	(revision 70955988a315327a8aac1fe450dfe7122d864923)
@@ -23,5 +23,5 @@
 from django.contrib import messages
 from .forms import LoginForm, UserRegisterForm, PerfilForm
-from .models import Perfil
+from .models import Perfil, Universidades
 from base.models import Parroquia
 from base.constant import OBJETIVOS_DICT, SECTORES, SECTOR_ESTUDIANTE, SECTOR_TRABAJADOR
@@ -150,4 +150,6 @@
         elif(perfil.sector=='ES'):
             perfil.sector_estudiante = form.cleaned_data['sector_estudiante']
+            universidad = Universidades.objects.get(pk=form.cleaned_data['universidad'])
+            perfil.universidad = universidad
         perfil.participacion = form.cleaned_data['participacion']
         if(perfil.participacion=='CO'):
@@ -258,4 +260,6 @@
         elif(self.sector=='ES'):
             self.sector_estudiante = form.cleaned_data['sector_estudiante']
+            universidad = Universidades.objects.get(pk=form.cleaned_data['universidad'])
+            self.universidad = universidad
         self.participacion = form.cleaned_data['participacion']
         if(self.participacion=='CO'):